commit:     c112ad925f9b3f6748ec5a99d44d00acafc4c99c
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 25 16:27:07 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jun 25 16:27:07 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c112ad92

gnome-extra/gnome-boxes: Version bump

Package-Manager: portage-2.3.0_rc1

 gnome-extra/gnome-boxes/Manifest                  |   1 +
 gnome-extra/gnome-boxes/gnome-boxes-3.20.2.ebuild | 108 ++++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/gnome-extra/gnome-boxes/Manifest b/gnome-extra/gnome-boxes/Manifest
index 1189d2d..5b1ca5a 100644
--- a/gnome-extra/gnome-boxes/Manifest
+++ b/gnome-extra/gnome-boxes/Manifest
@@ -1 +1,2 @@
 DIST gnome-boxes-3.18.1.tar.xz 1655760 SHA256 
0235d7f76cf3faa3889b302c743d608759e84506657ed4e374592c39f768fb2b SHA512 
eb8cd1c4dde02435f8ac0c02181e37e5523a2d67b5a2196d0ba6a1af798392a59ac3706879331cc969f8e74ec476b1be478592413383683a316e95934e02087b
 WHIRLPOOL 
68c1dac4545e71d8902d3b2efaa6cbd074ed7f97fa5cc2263fe2e28b9e166f439208f78fc179f375b574e70e81895b82fd59be310638bdab984c2ffb7e8da60b
+DIST gnome-boxes-3.20.2.tar.xz 1686172 SHA256 
c0379ce1de9d2a43a6875cbe1f2ef7ef69161b284926d59c44246a9142130fc5 SHA512 
3ead46d8b65777e43bf55b04b9488a1a8c5d4a0bc46f582a46ae2d5ff883c01b5540739091c2f3065d3db666d38761dee6dacbde9d5c9042f5b79f1ad4769247
 WHIRLPOOL 
6545ae607965d51bea04335acb4050ccc606f764cb12e3a44a670007bd7d2387ca69f59539877ebce6ea8357dfcde6d6d786d2effac691f4ee1e8021a1ca64df

diff --git a/gnome-extra/gnome-boxes/gnome-boxes-3.20.2.ebuild 
b/gnome-extra/gnome-boxes/gnome-boxes-3.20.2.ebuild
new file mode 100644
index 0000000..65f1daf
--- /dev/null
+++ b/gnome-extra/gnome-boxes/gnome-boxes-3.20.2.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+VALA_USE_DEPEND="vapigen"
+VALA_MIN_API_VERSION="0.28"
+
+inherit linux-info gnome2 readme.gentoo-r1 vala
+
+DESCRIPTION="Simple GNOME 3 application to access remote or virtual systems"
+HOMEPAGE="https://wiki.gnome.org/Apps/Boxes";
+
+LICENSE="LGPL-2"
+SLOT="0"
+
+# We force 'bindist' due to licenses from gnome-boxes-nonfree
+IUSE="smartcard usbredir" #bindist
+
+KEYWORDS="~amd64" # qemu-kvm[spice] is 64bit-only
+
+# NOTE: sys-fs/* stuff is called via exec()
+# FIXME: ovirt is not available in tree
+# FIXME: use vala.eclass but only because of libgd not being able
+#        to use its pre-generated files so do not copy all the
+#        vala deps like live ebuild has.
+RDEPEND="
+       >=app-arch/libarchive-3:=
+       >=dev-libs/glib-2.38:2
+       >=dev-libs/gobject-introspection-0.9.6:=
+       >=dev-libs/libxml2-2.7.8:2
+       >=sys-libs/libosinfo-0.2.12
+       >=app-emulation/qemu-1.3.1[spice,smartcard?,usbredir?]
+       >=app-emulation/libvirt-0.9.3[libvirtd,qemu]
+       >=app-emulation/libvirt-glib-0.2.3
+       >=x11-libs/gtk+-3.19.4:3
+       >=net-libs/gtk-vnc-0.4.4[gtk3]
+       >=net-misc/spice-gtk-0.27[gtk3,smartcard?,usbredir?]
+       virtual/libusb:1
+
+       >=app-misc/tracker-0.16:0=[iso]
+
+       >=sys-apps/util-linux-2.20
+       >=net-libs/libsoup-2.38:2.4
+
+       sys-fs/fuse
+       sys-fs/fuseiso
+       sys-fs/mtools
+       virtual/libgudev:=
+"
+#      !bindist? ( gnome-extra/gnome-boxes-nonfree )
+
+DEPEND="${RDEPEND}
+       $(vala_depend)
+       app-text/yelp-tools
+       dev-util/desktop-file-utils
+       >=dev-util/intltool-0.40
+       >=sys-devel/gettext-0.17
+       virtual/pkgconfig
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="Before running gnome-boxes, you will need to load the KVM 
modules.
+If you have an Intel Processor, run:
+# modprobe kvm-intel
+
+If you have an AMD Processor, run:
+# modprobe kvm-amd"
+
+pkg_pretend() {
+       linux-info_get_any_version
+
+       if linux_config_exists; then
+               if ! { linux_chkconfig_present KVM_AMD || \
+                       linux_chkconfig_present KVM_INTEL; }; then
+                       ewarn "You need KVM support in your kernel to use GNOME 
Boxes!"
+               fi
+       fi
+}
+
+src_prepare() {
+       # Do not change CFLAGS, wondering about VALA ones but appears to be
+       # needed as noted in configure comments below
+       sed 's/CFLAGS="$CFLAGS -O0 -ggdb3"//' -i configure{.ac,} || die
+
+       vala_src_prepare
+       gnome2_src_prepare
+}
+
+src_configure() {
+       # debug needed for splitdebug proper behavior (cardoe), bug #????
+       gnome2_src_configure \
+               --enable-debug \
+               --disable-strict-cc \
+               $(use_enable usbredir) \
+               $(use_enable smartcard) \
+               --enable-ovirt=no
+}
+
+src_install() {
+       gnome2_src_install
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+       readme.gentoo_print_elog
+}

Reply via email to